package com.ejie.aa20b.util;

import org.apache.commons.logging.impl.SLF4JLogFactory;

public abstract class Aa20bLog {

	public static void addTraza(String mensaje) {
		String clase = "";
		try {
			StackTraceElement stackTraceElements[] = (new Throwable())
					.getStackTrace();
			clase = stackTraceElements[1].toString();
		} catch (Exception ex) {
			clase = "ERROR AL OBTENER EL NOMBRE DE LA CLASE";
		}
		SLF4JLogFactory.getLog("com.ejie.aa20b").info(
				"CLASE: " + clase + " ~~ MENSAJE: " + mensaje);
	}
}